import { Component, OnInit } from '@angular/core';
import { WebSocketService } from '../services/websocket.service';

@Component({
  selector: 'app-testmessager',
  templateUrl: './testmessager.component.html',
  styleUrls: ['./testmessager.component.scss']
})
export class TestmessagerComponent implements OnInit {
  messageStr = `{"key": "",\n"data": {}}`;

  constructor(private webSocketService: WebSocketService) {}

  ngOnInit() {
    this.webSocketService.connect();
    this.webSocketService.observeKey('shell').subscribe();  // TODO: wtf
  }

  sendTestMessage() {
    const jsonObject = JSON.parse(this.messageStr);
    this.webSocketService.send(jsonObject['key'], jsonObject['data']);
  }
}
